<?php
    include "misc.inc";
    include "common.inc";
    include "db_connect.inc";

    $login = current_user();
    if(!$login)
    {
        do_redirect("login.php");
    }
    start_page($link);

    while(true)
    {
        $sql = "SELECT Id, Name, Email from Authors WHERE Login='" . addslashes($login) . "'";
        $result = mysql_db_query($db_database, $sql , $link);
        if(!$result)
        {
               $errmsg = "Error executing query";
               break;
        } 
        $email_fields="";
        while($row = mysql_fetch_array($result))
        {
            $name_email=$row[1] . " <" . $row[2] . ">";
        
            $email_fields = $email_fields . "<OPTION value=\"" . 
                            htmlspecialchars($name_email) . 
                            "\"" .  "> " . 
                            htmlspecialchars($name_email) . 
                            "</OPTION>\n";
        }
        mysql_free_result($result);

        break;
    }

    if(!$errmsg) :
?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>OBEC.PACTET Post</TITLE>
</HEAD>
<BODY BGCOLOR="#EEEEEE">
<?php
    include "db_connect.inc";

    show_header(); 

?>

<CENTER><H1>Посылка работы</H1></CENTER>
<p>
Ваше сообщение будет послано в сеть Фидо. Поскольку посылка осуществляется через
<a href="http://www.fido7.ru/">USENET->FIDOnet гейт</a>, Вы должны 
зарегистрироваться на этом гейте (с адресом, который Вы используете для посылки)
и ввести правильный <a href="http://www.fido7.ru/passwords.html">пароль</a>.

<p>
После того как Вы заполните форму и нажмете "Послать", Ваше сообщение будет послано на гейт.
Ваше сообщенине попадет в OBEC.PACTET через несколько часов или быстрее, в зависимости от
того, насколько загружен гейт в данный момент. Если ваше сообщение будет отклонено гейтом,
вы получите письмо с объяснением причин отказа.

<p> Перед посылкой убедитесь, что вы ознакомились
с <a href="about_obec.php">правилами</a> конференции,
а также с <a href="http://www.fido7.ru/guidelines.html.ru">правилами групп fido7</a>.

<FORM METHOD=POST ACTION="post_handler.php">
<TABLE BORDER=0>
    <TR>
        <TD><font size=-1>Адрес:</font></TD>  
<TD ALIGN=LEFT> 
<SELECT NAME="email">

<?php print($email_fields); ?>

</SELECT></TD>
</TR>

    <TR>
        <TD><font size=-1>Пароль:</font></TD> <TD ALIGN=LEFT> <INPUT TYPE="password" NAME="fido7password" size=31> </TD>
    </TR>
    <TR>
        <TD><font size=-1>Тема:</font></TD> <TD ALIGN=LEFT> <INPUT TYPE="text" NAME="subject" size=80></TD>
    </TR>
</TABLE>

<TEXTAREA
  COLS="80"
  NAME="body"
  ROWS="25"
  WRAP="HARD"
>
...поместите свой текст сюда...
</TEXTAREA>
<BR>
<INPUT TYPE="submit" NAME="do" value="Послать">

<INPUT TYPE="CHECKBOX"
  CHECKED
  NAME="emailcopy"
  VALUE="true"
>  Послать мне копию.

</FORM>

<?php else: ?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>Posting error!</TITLE>
</HEAD>

<BODY link="#000033" vlink="#333333" alink="#CC0000">
<?php show_header(); ?>

<p>Вашa работа не может быть послана. Причина:
<pre>
        <?php print $errmsg; ?>
</pre>
Мы можете вернуться назад нажав кнопку BACK в вашем броузере
и попробовать еще раз.


<?php 
endif;
show_footer(); 
?>

</BODY>
</HTML>
